package com.ytpm.dao;

import com.ytpm.agent.model.YtDitch;
import com.ytpm.agent.param.DitchListParam;
import com.ytpm.agent.view.AgentDitchView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AgentDitchMapper{
    List<AgentDitchView> ditchList(DitchListParam param);

    void update(YtDitch ytDitch);

    Integer insertOne(YtDitch ytDitch);

    YtDitch selectById(@Param("ditchId") Long ditchId);
}
